Name:           jsr-305
Version:        1
Release:        %mkrel 0.18.20130910svn.1
Group:          Development/Java
Summary:        Correctness annotations for Java code

# The majority of code is BSD-licensed, but some Java sources
# are licensed under CC-BY license, see: $ grep -r Creative .
License:        BSD and CC-BY
URL:            http://jsr-305.googlecode.com/
BuildArch:      noarch

# There has been no official release yet.  This is a snapshot of the Subversion
# repository as of 10 Sep 2013.  Use the following commands to generate the
# tarball:
#   svn export -r 51 http://jsr-305.googlecode.com/svn/trunk jsr-305
#   tar -czvf jsr-305-20130910svn.tgz jsr-305
Source0:        jsr-305-20130910svn.tgz
# File containing URL to CC-BY license text
Source1:        NOTICE-CC-BY.txt

BuildRequires:  maven-local

%package javadoc
Summary:        Javadoc documentation for %{name}

%description
This package contains reference implementations, test cases, and other
documents for Java Specification Request 305: Annotations for Software Defect
Detection.

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
cp %{SOURCE1} NOTICE-CC-BY

%mvn_file :ri %{name}
%mvn_alias :ri com.google.code.findbugs:jsr305
%mvn_package ":{proposedAnnotations,tcl}" __noinstall

# do not build sampleUses module - it causes Javadoc generation to fail
%pom_disable_module sampleUses

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc ri/LICENSE NOTICE-CC-BY sampleUses

%files javadoc -f .mfiles-javadoc
%doc ri/LICENSE NOTICE-CC-BY




%changelog
* Tue Jul 18 2017 neoclust <neoclust> 1-0.18.20130910svn.1.mga6
+ Revision: 1124784
- Fix version to help update from mga5 (mga#21278)

* Wed Mar 02 2016 daviddavid <daviddavid> 0-0.18.20130910svn.1.mga6
+ Revision: 982987
- First rebuild of the java stack

  + neoclust <neoclust>
    - sync package jsr-305 with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-0.7.20090319svn.6.mga5
+ Revision: 743830
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 pterjan <pterjan> 1-0.7.20090319svn.5.mga5
+ Revision: 738044
- Partial sync with fedora (without updating to new snapshot)

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1-0.7.20090319svn.4.mga4
+ Revision: 506495
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1-0.7.20090319svn.3.mga3
+ Revision: 355637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 dmorgan <dmorgan> 1-0.7.20090319svn.2.mga3
+ Revision: 267157
- Increase Epoch to fix update from mdv

* Mon Jan 09 2012 dmorgan <dmorgan> 0-0.7.20090319svn.2.mga2
+ Revision: 193703
+ rebuild (emptylog)

* Fri Jan 06 2012 gil <gil> 0-0.7.20090319svn.1.mga2
+ Revision: 192330
- build fix fixed javadoc build
- build fix fixed depmap
- build fix fixed depmap

  + dmorgan <dmorgan>
    - Source1 should be not needed ( test)
    - Reuse jsr-305-ri-build.xml and jsr305-1.3.9.pom ( gil)
    - Sync with fedora
    - Reorder spec file

* Thu Oct 27 2011 gil <gil> 0-0.5.20090319svn.2.mga2
+ Revision: 158526
- edit pom
- edit depmap
- added new maven2 pom

* Thu Jan 20 2011 dmorgan <dmorgan> 0-0.5.20090319svn.1.mga1
+ Revision: 25686
- Add java-rpmbuild as buildrequire
- Add ant as buildrequire
- Use %%mkrel
- Sync with Opensuse to all to bootstrap
- imported package jsr-305


* Fri Nov 26 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0-0.5.20090319svn
- Fix pom filename (Resolves rhbz#655811)
- Remove tomcat5 BR (not needed anymore)
- Use new maven plugin names
- Remove gcj support
- Few tweaks according to new guidelines
- Make jars and javadocs versionless

* Thu Jan 14 2010 Jerry James <loganjerry@gmail.com> - 0-0.4.20090319svn
- Update to 19 Mar 2009 snapshot
- Compress with xz instead of bzip2
- BR tomcat5, a horrible workaround to solve bz 538868

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090203svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar  4 2009 Jerry James <loganjerry@gmail.com> - 0-0.3.20090203svn
- Explicitly require OpenJDK to build

* Sat Feb 28 2009 Jerry James <loganjerry@gmail.com> - 0-0.2.20090203svn
- Update to 03 Feb 2009 snapshot

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20080824svn.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 24 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080824svn.1
- Cleaned up summary

* Mon Sep  8 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080824svn
- Update to 24 Aug 2008 snapshot

* Mon Aug  4 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080721svn
- Update to 21 Jul 2008 snapshot

* Mon Jun 30 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080613svn
- Update to 13 Jun 2008 snapshot
- Fix broken URLs
- Include instructions on regenerating the tarball
- Conditionalize the gcj bits

* Mon Jun  2 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080527svn
- Update to 27 May 2008 snapshot

* Mon May 12 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20071105svn
- Initial RPM
